<div class="row">
  <div class="col-xs-12">
    <img
      [src]="recipe.impagePath"
      alt="{{ recipe.name }}"
      class="img-responsive"
      style="max-height: 300px"
    />
  </div>
</div>
<div class="row">
  <div class="col-xs-12">
    <h1>{{ recipe.name }}</h1>
  </div>
</div>
<div class="row">
  <div class="col-xs-12">
    <div class="btn-group" appDropdown>
      <button type="button" class="btn btn-primary dropdown-toggle">
        Manage Recipe <span class="caret"></span>
      </button>
      <ul class="dropdown-menu">
        <li>
          <a (click)="addToShoppingList()" style="cursor: pointer"
            >To Shopping List</a
          >
        </li>
        <li>
          <a [routerLink]="['../', id, 'edit']" style="cursor: pointer"
            >Edit Recipe</a
          >
        </li>
        <li><a style="cursor: pointer">Delete Recipe</a></li>
      </ul>
    </div>
  </div>
</div>
<div class="row">
  <div class="col-xs-12">
    {{ recipe.description }}
  </div>
</div>
<div class="row">
  <div class="col-xs-12">
    <ul class="list-group">
      <li class="list-group-item" *ngFor="let i of recipe.ingredients">
        {{ i.name }} ({{ i.amount }})
      </li>
    </ul>
  </div>
</div>
